Package com.io7m.idstore.protocol.admin

# Record Class IdACommandUserLoginHistory

java.lang.Object
java.lang.Record
com.io7m.idstore.protocol.admin.IdACommandUserLoginHistory

Record Components:
  `user` - The user ID

All Implemented Interfaces:
  `com.io7m.hibiscus.api.HBCommandType`, `com.io7m.hibiscus.api.HBMessageType`, `IdACommandType<IdAResponseUserLoginHistory>`, `IdAMessageType`, `IdProtocolMessageType`

public record IdACommandUserLoginHistory(UUID user) extends Record implements IdACommandType<IdAResponseUserLoginHistory>
Get the given user's login history.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IdACommandUserLoginHistory(UUID user)`
  Get the given user's login history.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `Class<IdAResponseUserLoginHistory>`
  `responseClass()`
  `final String`
  `toString()`
  Returns a string representation of this record class.
  `UUID`
  `user()`
  Returns the value of the `user` record component.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### IdACommandUserLoginHistory

    public IdACommandUserLoginHistory(UUID user)
    Get the given user's login history.

- ## Method Details

  - ### responseClass

    public Class<IdAResponseUserLoginHistory> responseClass()
    Specified by:
      `responseClass` in interface `IdACommandType<IdAResponseUserLoginHistory>`
    Returns:
      The response type associated with this command

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### user

    public UUID user()
    Returns the value of the `user` record component.
    Returns:
      the value of the `user` record component